Next: strtok, Previous: strspn, Up: Strings

### 5.37 `strstr`—find string segment

Synopsis

         #include <string.h>
         char *strstr(const char *s1, const char *s2);

Description
Locates the first occurrence in the string pointed to by s1 of the sequence of characters in the string pointed to by s2 (excluding the terminating null character).

Returns
Returns a pointer to the located string segment, or a null pointer if the string s2 is not found. If s2 points to a string with zero length, s1 is returned.

Portability
`strstr` is ANSI C.

`strstr` requires no supporting OS subroutines.